Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_vhdl_body.cpp	(revision 135)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_vhdl_body.cpp	(revision 136)
@@ -245,73 +245,115 @@
 
     //-----------------------------------
-    // INSERT_ROB
+    // ISSUE
     //-----------------------------------
 
     vhdl->set_body ("");
     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-      {
-	uint32_t x=_param->_nb_inst_insert_rob [i];
-	for (uint32_t j=0; j<x; j++)
-	  {
-	    vhdl->set_body ("out_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_ACK <=");
-	    vhdl->set_body ("\tin_INSERT_ROB_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_INSERT_ROB_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK;");
-
-	    vhdl->set_body ("out_INSERT_ROB_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_VAL <=");
-	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_VAL            and");
-	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_RD_USE         and");
-	    vhdl->set_body ("\tin_INSERT_ROB_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK;");
-
-	    vhdl->set_body ("out_INSERT_ROB_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_VAL <=");
-	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_VAL            and");
-	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_RE_USE         and");
-	    vhdl->set_body ("\tin_INSERT_ROB_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK;");
-	  }
-      }
-
-    //-----------------------------------
-    // RETIRE_ROB
-    //-----------------------------------
-    vhdl->set_body ("");
-    for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-      {
-	uint32_t x=_param->_nb_inst_retire_rob [i];
-	for (uint32_t j=0; j<x; j++)
-	  {
-	    vhdl->set_body ("out_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_ACK <=");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
-
-	    vhdl->set_body ("out_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_VAL <=");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_USE         and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
-
-	    vhdl->set_body ("out_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_VAL <=");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_USE         and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
-
-	    vhdl->set_body ("out_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_VAL <=");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_USE         and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
-
-	    vhdl->set_body ("out_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_VAL <=");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_USE         and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
-	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK;");
-	  }
-      }
+      for (uint32_t j=0; j<_param->_nb_inst_issue; j++)
+	{
+	  vhdl->set_body ("out_ISSUE_"+toString(j)+"_ACK <=");
+	  vhdl->set_body ("\tin_ISSUE_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK and");
+	  vhdl->set_body ("\tin_ISSUE_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK");
+	  if (_param->_have_port_ooo_engine_id)
+	    {
+	  vhdl->set_body ("when out_ISSUE_"+toString(j)+"_OOO_ENGINE_ID = "+std_logic_conv(_param->_size_ooo_engine_id,i));
+	  vhdl->set_body ("else '0'");	  
+	    }
+	  vhdl->set_body (";");	  
+	  
+
+	  vhdl->set_body ("out_ISSUE_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_VAL <=");
+	  vhdl->set_body ("\tin_ISSUE_"+toString(j)+"_VAL            and");
+	  vhdl->set_body ("\tin_ISSUE_"+toString(j)+"_RD_USE         and");
+	  vhdl->set_body ("\tin_ISSUE_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK");
+	  if (_param->_have_port_ooo_engine_id)
+	    {
+	  vhdl->set_body ("when out_ISSUE_"+toString(j)+"_OOO_ENGINE_ID = "+std_logic_conv(_param->_size_ooo_engine_id,i));
+	  vhdl->set_body ("else '0'");	  
+	    }
+	  vhdl->set_body (";");	  
+	  
+	  vhdl->set_body ("out_ISSUE_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_VAL <=");
+	  vhdl->set_body ("\tin_ISSUE_"+toString(j)+"_VAL            and");
+	  vhdl->set_body ("\tin_ISSUE_"+toString(j)+"_RE_USE         and");
+	  vhdl->set_body ("\tin_ISSUE_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK");
+	  if (_param->_have_port_ooo_engine_id)
+	    {
+	  vhdl->set_body ("when out_ISSUE_"+toString(j)+"_OOO_ENGINE_ID = "+std_logic_conv(_param->_size_ooo_engine_id,i));
+	  vhdl->set_body ("else '0'");	  
+	    }
+	  vhdl->set_body (";");	  
+	}
+    
+//     //-----------------------------------
+//     // INSERT_ROB
+//     //-----------------------------------
+
+//     vhdl->set_body ("");
+//     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+//       {
+// 	uint32_t x=_param->_nb_inst_insert_rob [i];
+// 	for (uint32_t j=0; j<x; j++)
+// 	  {
+// 	    vhdl->set_body ("out_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_ACK <=");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK;");
+
+// 	    vhdl->set_body ("out_INSERT_ROB_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_VAL <=");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_VAL            and");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_RD_USE         and");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK;");
+
+// 	    vhdl->set_body ("out_INSERT_ROB_SPR_STATUS_"+toString(i)+"_"+toString(j)+"_VAL <=");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_VAL            and");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_"+toString(i)+"_"+toString(j)+"_RE_USE         and");
+// 	    vhdl->set_body ("\tin_INSERT_ROB_GPR_STATUS_"+toString(i)+"_"+toString(j)+"_ACK;");
+// 	  }
+//       }
+
+//     //-----------------------------------
+//     // RETIRE_ROB
+//     //-----------------------------------
+//     vhdl->set_body ("");
+//     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+//       {
+// 	uint32_t x=_param->_nb_inst_retire_rob [i];
+// 	for (uint32_t j=0; j<x; j++)
+// 	  {
+// 	    vhdl->set_body ("out_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_ACK <=");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
+
+// 	    vhdl->set_body ("out_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_VAL <=");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_USE         and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
+
+// 	    vhdl->set_body ("out_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_VAL <=");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_USE         and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
+
+// 	    vhdl->set_body ("out_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_VAL <=");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_USE         and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK;");
+
+// 	    vhdl->set_body ("out_RETIRE_ROB_SPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_VAL <=");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL                and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_USE         and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_GPR_STATUS_NEW_"+toString(i)+"_"+toString(j)+"_ACK and");
+// 	    vhdl->set_body ("\tin_RETIRE_ROB_SPR_STATUS_OLD_"+toString(i)+"_"+toString(j)+"_ACK;");
+// 	  }
+//       }
 
     log_printf(FUNC,Register_unit_Glue,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h	(revision 135)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h	(revision 136)
@@ -40,6 +40,7 @@
   public : uint32_t  * _nb_general_register      ;
   public : uint32_t  * _nb_special_register      ;
-  public : uint32_t  * _nb_inst_insert_rob       ;
-  public : uint32_t  * _nb_inst_retire_rob       ;
+  public : uint32_t    _nb_inst_issue            ;
+//   public : uint32_t  * _nb_inst_insert_rob       ;
+//   public : uint32_t  * _nb_inst_retire_rob       ;
 
 //public : bool        _have_port_ooo_engine_id  ;
@@ -73,6 +74,7 @@
 			uint32_t  * nb_general_register      ,
 			uint32_t  * nb_special_register      ,
-			uint32_t  * nb_inst_insert_rob       ,
-			uint32_t  * nb_inst_retire_rob       ,
+			uint32_t    nb_inst_issue            ,
+// 			uint32_t  * nb_inst_insert_rob       ,
+// 			uint32_t  * nb_inst_retire_rob       ,
                         bool        is_toplevel=false);
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h	(revision 135)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h	(revision 136)
@@ -93,12 +93,21 @@
   public    : SC_IN (Tspecial_address_t)   **  in_SPR_WRITE_NUM_REG            ;
   public    : SC_IN (Tspecial_data_t   )   **  in_SPR_WRITE_DATA               ;
+
+    // ~~~~~[ Interface "issue" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+  public    : SC_IN (Tcontrol_t        )   **  in_ISSUE_VAL                    ;
+  public    : SC_OUT(Tcontrol_t        )   ** out_ISSUE_ACK                    ;
+  public    : SC_IN (Tcontext_t        )   **  in_ISSUE_OOO_ENGINE_ID          ;
+  public    : SC_IN (Tcontrol_t        )   **  in_ISSUE_RD_USE                 ;
+  public    : SC_IN (Tgeneral_address_t)   **  in_ISSUE_RD_NUM_REG             ; // use=1 : status[num_reg]<- 0
+  public    : SC_IN (Tcontrol_t        )   **  in_ISSUE_RE_USE                 ;
+  public    : SC_IN (Tspecial_address_t)   **  in_ISSUE_RE_NUM_REG             ;
     
-    // ~~~~~[ Interface "insert_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-  public    : SC_IN (Tcontrol_t        )  ***  in_INSERT_ROB_VAL               ;
-  public    : SC_OUT(Tcontrol_t        )  *** out_INSERT_ROB_ACK               ;
-  public    : SC_IN (Tcontrol_t        )  ***  in_INSERT_ROB_RD_USE            ;
-  public    : SC_IN (Tgeneral_address_t)  ***  in_INSERT_ROB_RD_NUM_REG        ; // use=1 : status[num_reg]<- 0
-  public    : SC_IN (Tcontrol_t        )  ***  in_INSERT_ROB_RE_USE            ;
-  public    : SC_IN (Tspecial_address_t)  ***  in_INSERT_ROB_RE_NUM_REG        ;
+//     // ~~~~~[ Interface "insert_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+//   public    : SC_IN (Tcontrol_t        )  ***  in_INSERT_ROB_VAL               ;
+//   public    : SC_OUT(Tcontrol_t        )  *** out_INSERT_ROB_ACK               ;
+//   public    : SC_IN (Tcontrol_t        )  ***  in_INSERT_ROB_RD_USE            ;
+//   public    : SC_IN (Tgeneral_address_t)  ***  in_INSERT_ROB_RD_NUM_REG        ; // use=1 : status[num_reg]<- 0
+//   public    : SC_IN (Tcontrol_t        )  ***  in_INSERT_ROB_RE_USE            ;
+//   public    : SC_IN (Tspecial_address_t)  ***  in_INSERT_ROB_RE_NUM_REG        ;
 
 //     // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters.cpp	(revision 135)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters.cpp	(revision 136)
@@ -33,6 +33,7 @@
 			  uint32_t  * nb_general_register      ,
 			  uint32_t  * nb_special_register      ,
-			  uint32_t  * nb_inst_insert_rob       ,
-			  uint32_t  * nb_inst_retire_rob       ,
+			  uint32_t    nb_inst_issue            ,
+// 			  uint32_t  * nb_inst_insert_rob       ,
+// 			  uint32_t  * nb_inst_retire_rob       ,
                           bool        is_toplevel              )
   {
@@ -53,6 +54,7 @@
     _nb_general_register       = nb_general_register      ;
     _nb_special_register       = nb_special_register      ;
-    _nb_inst_insert_rob        = nb_inst_insert_rob       ;
-    _nb_inst_retire_rob        = nb_inst_retire_rob       ;
+    _nb_inst_issue             = nb_inst_issue            ;
+//     _nb_inst_insert_rob        = nb_inst_insert_rob       ;
+//     _nb_inst_retire_rob        = nb_inst_retire_rob       ;
 
     _size_gpr_address = log2(nb_general_register [0]);
@@ -101,5 +103,6 @@
           (_nb_gpr_read ,
 //         _nb_gpr_write+_nb_inst_insert_rob[i]+2*_nb_inst_retire_rob[i],
-           _nb_gpr_write+_nb_inst_insert_rob[i],
+//            _nb_gpr_write+_nb_inst_insert_rob[i],
+           _nb_gpr_write+_nb_inst_issue,
            0,
            nb_general_register[i],
@@ -122,5 +125,6 @@
           (_nb_spr_read ,
 //         _nb_spr_write+_nb_inst_insert_rob[i]+2*_nb_inst_retire_rob[i],
-           _nb_spr_write+_nb_inst_insert_rob[i],
+//         _nb_spr_write+_nb_inst_insert_rob[i],
+	   _nb_spr_write+_nb_inst_issue,
            0,
            nb_special_register[i],
@@ -134,13 +138,16 @@
       }
    
-    _param_glue       = new morpheo::behavioural::core::multi_execute_loop::execute_loop::register_unit::register_unit_glue::Parameters  (_nb_ooo_engine        ,
-                                                                                                                                           size_general_data    ,
-                                                                                                                                           size_special_data    ,
-                                                                                                                                          _nb_gpr_read          ,
-                                                                                                                                          _nb_spr_read          ,    
-                                                                                                                                          _nb_gpr_write         ,
-                                                                                                                                          _nb_spr_write         ,
-                                                                                                                                          _nb_inst_insert_rob   ,
-                                                                                                                                          _nb_inst_retire_rob   );
+    _param_glue       = new morpheo::behavioural::core::multi_execute_loop::execute_loop::register_unit::register_unit_glue::Parameters  
+      (_nb_ooo_engine        ,
+        size_general_data    ,
+        size_special_data    ,
+       _nb_gpr_read          ,
+       _nb_spr_read          ,    
+       _nb_gpr_write         ,
+       _nb_spr_write         ,
+       _nb_inst_issue
+//        _nb_inst_insert_rob   ,
+//        _nb_inst_retire_rob   
+       );
     
     test();
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters_print.cpp	(revision 135)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Parameters_print.cpp	(revision 136)
@@ -39,18 +39,19 @@
     xml. singleton_begin("nb_spr_port_read_by_bank "); xml.attribut("value",toString(_nb_spr_port_read_by_bank )); xml.singleton_end();
     xml. singleton_begin("nb_spr_port_write_by_bank"); xml.attribut("value",toString(_nb_spr_port_write_by_bank)); xml.singleton_end();
+    xml. singleton_begin("nb_inst_issue            "); xml.attribut("value",toString(_nb_inst_issue            )); xml.singleton_end();
     
-    xml. balise_open("multi_ooo_engine");
-    for (uint32_t i=0; i<_nb_ooo_engine; i++)
-      {
-	xml.  balise_open_begin("ooo_engine");
-	xml.   attribut("id", toString(i));
-	xml.  balise_open_end();
-	xml.   singleton_begin("nb_general_register"); xml.attribut("value",toString(_nb_general_register [i])); xml.singleton_end();
-	xml.   singleton_begin("nb_special_register"); xml.attribut("value",toString(_nb_special_register [i])); xml.singleton_end();
-	xml.   singleton_begin("nb_inst_insert_rob "); xml.attribut("value",toString(_nb_inst_insert_rob  [i])); xml.singleton_end();
-	xml.   singleton_begin("nb_inst_retire_rob "); xml.attribut("value",toString(_nb_inst_retire_rob  [i])); xml.singleton_end();
-	xml.  balise_close();
-      }
-    xml. balise_close();
+//     xml. balise_open("multi_ooo_engine");
+//     for (uint32_t i=0; i<_nb_ooo_engine; i++)
+//       {
+// 	xml.  balise_open_begin("ooo_engine");
+// 	xml.   attribut("id", toString(i));
+// 	xml.  balise_open_end();
+// 	xml.   singleton_begin("nb_general_register"); xml.attribut("value",toString(_nb_general_register [i])); xml.singleton_end();
+// 	xml.   singleton_begin("nb_special_register"); xml.attribut("value",toString(_nb_special_register [i])); xml.singleton_end();
+// 	xml.   singleton_begin("nb_inst_insert_rob "); xml.attribut("value",toString(_nb_inst_insert_rob  [i])); xml.singleton_end();
+// 	xml.   singleton_begin("nb_inst_retire_rob "); xml.attribut("value",toString(_nb_inst_retire_rob  [i])); xml.singleton_end();
+// 	xml.  balise_close();
+//       }
+//     xml. balise_close();
 
 //     xml. text (_param_glue->print(depth+1));
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Register_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Register_unit.cpp	(revision 135)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/src/Register_unit.cpp	(revision 136)
@@ -35,5 +35,5 @@
     ,_usage            (usage)
   {
-    log_printf(FUNC,Register_unit,FUNCTION,"Begin");
+    log_printf(FUNC,Register_unit,FUNCTION,_("<%s> Begin"),_name.c_str());
 
 // #if DEBUG_Register_unit == true
@@ -43,5 +43,5 @@
 // #endif    
 
-    log_printf(INFO,Register_unit,FUNCTION,"Allocation");
+    log_printf(INFO,Register_unit,FUNCTION,_("<%s> Allocation"),_name.c_str());
     allocation (
 #ifdef STATISTICS
@@ -63,5 +63,5 @@
       {
         // generate the vhdl
-        log_printf(INFO,Register_unit,FUNCTION,"Generate the vhdl");
+        log_printf(INFO,Register_unit,FUNCTION,_("<%s> Generate the vhdl"),_name.c_str());
         
         vhdl();
@@ -73,5 +73,5 @@
       {
 //#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
-    log_printf(INFO,Register_unit,FUNCTION,"Method - transition");
+    log_printf(INFO,Register_unit,FUNCTION,_("<%s> Method - transition"),_name.c_str());
 
     SC_METHOD (transition);
@@ -85,5 +85,5 @@
       }
 #endif
-    log_printf(FUNC,Register_unit,FUNCTION,"End");
+    log_printf(FUNC,Register_unit,FUNCTION,_("<%s> End"),_name.c_str());
   };
   
@@ -92,18 +92,18 @@
   Register_unit::~Register_unit (void)
   {
-    log_printf(FUNC,Register_unit,FUNCTION,"Begin");
+    log_printf(FUNC,Register_unit,FUNCTION,_("<%s> Begin"),_name.c_str());
 
 #ifdef STATISTICS
     if (usage_is_set(_usage,USE_STATISTICS))
       {	
-        log_printf(INFO,Register_unit,FUNCTION,"Generate Statistics file");
+        log_printf(INFO,Register_unit,FUNCTION,_("<%s> Generate Statistics file"),_name.c_str());
         delete _stat;
       }
 #endif
 
-    log_printf(INFO,Register_unit,FUNCTION,"Deallocation");
+    log_printf(INFO,Register_unit,FUNCTION,_("<%s> Deallocation"),_name.c_str());
     deallocation ();
 
-    log_printf(FUNC,Register_unit,FUNCTION,"End");
+    log_printf(FUNC,Register_unit,FUNCTION,_("<%s> End"),_name.c_str());
   };
 
